Bug 1138327 - [Build 20190613] GNOME Live: user session runs on VT2
[Build 20190613] GNOME Live: user session runs on VT2
Status: REOPENED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Live Medium
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
https://openqa.opensuse.org/tests/959...
:
Depends on:
Blocks: 1162098
  Show dependency treegraph
 
Reported: 2019-06-14 17:52 UTC by Dominique Leuenberger
Modified: 2021-08-15 00:00 UTC (History)
7 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-06-14 17:52:58 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-GNOME-Live-x86_64-gnome-live@64bit fails in
[xorg_vt](https://openqa.opensuse.org/tests/959090/modules/xorg_vt/steps/4)

## Test suite description
Maintainer: okurz@suse.de, dimstar@opensuse.org

Test for openSUSE GNOME Next Live-Media


## Reproducible

Fails since (at least) Build [20190613](https://openqa.opensuse.org/tests/959090) (current job)


## Expected result

Last good: [20190612](https://openqa.opensuse.org/tests/958247) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?test=gnome-live&flavor=GNOME-Live&version=Tumbleweed&machine=64bit&distri=opensuse&arch=x86_64)


On a live system the X Session newly ends up on VT2 instead of the openSUSE Default VT7
Comment 1 Jia Zhaocong 2019-06-17 01:20:50 UTC
Hi, it seems that gdm 3.32 is included in this build, a different behavior between gdm 3.32 and earlier version is that, in auto-login cases the graphics session starts in VT2 instead of VT7.

So this is expected behavior.
Comment 2 Yifan Jiang 2019-06-17 01:25:32 UTC
Just for the note, the behavior of user session being on tty2 (autologin) smells expected through https://bugzilla.opensuse.org/show_bug.cgi?id=1116011 . Keep xiaoguang in the list who hacked that for fixing.
Comment 3 Dominique Leuenberger 2019-06-17 06:56:54 UTC
I agree this is likely the expected behavior from a product PoV - also in respect to bug 1054782, this new behavior is 'wished

So this bug is likely an issue to be addressed in the test code - and the release notes
Comment 4 Dominique Leuenberger 2019-06-17 07:21:04 UTC
https://openqa.opensuse.org/tests/960980# is likely related to this issue - as we switch to different VTs and try to come back to the GNOME session - but I guess the test does not know to what VT to switch back to be usable
Comment 5 Yifan Jiang 2019-06-17 08:34:39 UTC
Hi Zhaocong,

Would you kindly help on this testing code part as well (it will be no harml to track it on the redmine). Thank you!
Comment 6 Yifan Jiang 2019-06-17 08:51:05 UTC
Assignee changed by accident ... set it back.
Comment 7 Jia Zhaocong 2019-06-17 09:26:55 UTC
https://openqa.opensuse.org/tests/960980 is caused by the gdm 3.32 change.

As I said, now the default graphical for auto-login is VT2 instead of VT7;

And TW tests on openQA are auto-login, so when they try to 'select_console("x11")', they will go to wrong terminal.

I think we should change "get_x11_console_tty" in lib/utils.pm to make it return 2 instead of 7 for TW cases.

I'll test more and submit PR for this change tomorrow.
Comment 8 Oliver Kurz 2019-06-18 11:20:43 UTC
please set the "Blocker" flag for bugs that block the successful execution of tests.
Comment 9 Jia Zhaocong 2019-07-02 02:42:20 UTC
I'm closing this, because it is fixed:

https://openqa.opensuse.org/tests/971938#step/xorg_vt/3

and being further addressed by

https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/7769
Comment 10 Oliver Kurz 2019-07-02 12:34:28 UTC
true. However the test is not green yet as the needle in the referenced job is a workaround needle. So I created a new needle taking the current view as acceptable and retriggered the test: https://openqa.opensuse.org/tests/973166
Comment 11 Oliver Kurz 2019-07-02 13:46:13 UTC
Likely we do not yet have a stable situation for tests so far: https://openqa.opensuse.org/tests/973166#step/xorg_vt/4 shows the X server started on vt3 so not vt2. Our automated tests rely on a static vt selection hence we also fail to switch back to the graphical session e.g. as visible in https://openqa.opensuse.org/tests/973166#step/consoletest_finish/12

Unless the switch to vt3 should not even have happened and the problem is something different I recommend to look into the tests to make that tty switch automatic unless you would change the product to behave reproducibly – which I would prefer from a users point of view :)
Comment 16 Lubos Kocman 2020-01-29 10:37:01 UTC
Cloning for Leap 15.2 (Bug 1162098)
Comment 39 Oliver Kurz 2021-03-10 06:05:10 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1317477

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 40 Oliver Kurz 2021-03-25 06:03:59 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1667264

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 41 Oliver Kurz 2021-04-09 05:03:09 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1691441

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 42 openQA Review 2021-04-23 05:16:49 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1702744

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 43 openQA Review 2021-05-07 05:19:23 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.1_gnome
https://openqa.opensuse.org/tests/1725803

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 44 Oliver Kurz 2021-05-21 06:22:10 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_42.1_gnome
https://openqa.opensuse.org/tests/1738973

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 45 Oliver Kurz 2021-06-04 06:22:48 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 46 Oliver Kurz 2021-06-18 06:24:16 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 47 Oliver Kurz 2021-07-02 06:24:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 48 openQA Review 2021-07-17 01:23:57 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 49 openQA Review 2021-07-31 01:55:04 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 50 openQA Review 2021-08-15 00:00:12 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: upgrade_Leap_15.0_gnome
https://openqa.opensuse.org/tests/1757201

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed